Subject: Re: SystemACE driver problem

From: aauer1 <[email-masked]>
Date: Fri, 19 Oct 2007 11:13:35 -0700 (PDT)

Grant Likely-2 wrote:
> 
> On 10/19/07, aauer1 <[email-masked]> wrote:
>>
>> Hello
>>
>> I'm trying to boot a Linux Kernel 2.6.23-rc2 from Grant Likely (thanks
>> for
>> the great work) on a Xilinx ML403 board. I want to use the second
>> partition
>> of the Compact Flash Card as root filesystem. But the boot process hangs
>> at
>> the initialization of the SystemACE module. A strange effect is that the
>> DONE LED (configuration of the FPGA is done) turns off. So, this means
>> that
>> the FPGA loses his configuration.
>> Has anybody recognized a similar problem with the SystemACE module??
>>
>> The boot log:
>> ========
> [snipped]
>> [    0.268807] uartlite.0: ttyUL0 at MMIO 0x40600000 (irq = 2) is a
>> uartlite
>> [    0.270399] console [ttyUL0] enabled
>> [    1.762725] RAMDISK driver initialized: 8 RAM disks of 8192K size 1024
>> blocke
>> [    1.852062] Registering Xilinx SystemACE driver, major=254
>> [    1.919734] xsysace xsysace.0: ace_probe(c01638e0)
> 
> Yes, I've seen that.  It means something went wrong with the setup and
> caused the sysace to reload the FPGA.  Is the systemace base address
> and bus width set correctly?
> 
> 

The base address is the same as in the system.mhs file of my hardware
design. So, I think it should be correct. The bus width is set to 16 bits
(hardware design). So far as I can see, the sysace driver defines a 16 bit
data bus (hard coded), too. 

A paper of BlueCat Linux says that there is a problem with the System ACE
hardware module:
"Due to a known problem of the opb_sysace IP Core programmed into the FPGA
(incorrect operation in the interrupt mode) the SystemACE Compact Flash
device is supported in the polling mode."

Does anyone know something about the bug in the SystemACE IP core?? 

Thanks,
Andreas

-- 
View this message in context: http://www.nabble.com/SystemACE-driver-problem-tf4651846.html#a13300089
Sent from the linuxppc-embedded mailing list archive at Nabble.com.